package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;

public class ManutencaoDoUltimoCustoPage extends PageBase{

    By loadingWait = By.xpath("//*[@class='zh-loading-desc ng-binding']");
    //BUSCA DO PRODUTO ATRAVES DO FLOAT-CONTROL:


    By btnAplicarFiltro = By.xpath("//span[text()='Aplicar filtro']");

    public void aguardarCarregarElemento(){
        waitForInvisibilityOfElementLocated( loadingWait);
        waitForElementByTime(btnAplicarFiltro,10);
    }
    public void aguardarElementoTela(){
        waitForVisibilityOfElementLocated(btnAplicarFiltro);
    }
    public void botaoAplicarFiltro(){
        click(btnAplicarFiltro);
        waitForInvisibilityOfElementLocated(loadingWait);
    }
}
